curl --request PATCH \
--url https://incoming.qomon.app/v1/contacts/{contactId}/interactions/{interactionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"date_of_event": "2023-11-07T05:31:56Z",
"address": "<string>",
"comments": "<string>",
"date_end": "2023-11-07T05:31:56Z",
"only_super_admin": true,
"tags": [
{
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": 1,
"name": "<string>"
}
],
"title": "<string>"
}
'import requests
url = "https://incoming.qomon.app/v1/contacts/{contactId}/interactions/{interactionId}"
payload = {
"date_of_event": "2023-11-07T05:31:56Z",
"address": "<string>",
"comments": "<string>",
"date_end": "2023-11-07T05:31:56Z",
"only_super_admin": True,
"tags": [
{
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": 1,
"name": "<string>"
}
],
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
date_of_event: '2023-11-07T05:31:56Z',
address: '<string>',
comments: '<string>',
date_end: '2023-11-07T05:31:56Z',
only_super_admin: true,
tags: [
{color: '<string>', created_at: '2023-11-07T05:31:56Z', id: 1, name: '<string>'}
],
title: '<string>'
})
};
fetch('https://incoming.qomon.app/v1/contacts/{contactId}/interactions/{interactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"comments": "<string>",
"contact_id": 1,
"created_at": "2023-11-07T05:31:56Z",
"date_end": "2023-11-07T05:31:56Z",
"date_of_event": "2023-11-07T05:31:56Z",
"files": [
{
"created_at": "2023-11-07T05:31:56Z",
"folder": "<string>",
"group_id": 1,
"id": 1,
"mime": "<string>",
"name": "<string>",
"owner_id": 123,
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"group_id": 1,
"id": 1,
"only_super_admin": true,
"sub_type": "incoming",
"tags": [
{
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"id": 1,
"name": "<string>"
}
],
"title": "<string>",
"type": "email",
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "1 rue de la paix",
"avatar": "https://example.com/avatar.png",
"birthdate": "2023-11-07T05:31:56Z",
"city": "Paris",
"created": "2023-11-07T05:31:56Z",
"firstname": "John",
"group_id": [
123
],
"id": 101,
"locale": "en",
"location": "1.826483,-1.549486",
"mail": "john.doe@example.com",
"phone": "0123456789",
"postal": "75000",
"status": "available_week_morning,available_weekend",
"surname": "Doe",
"two_factor_enable": true,
"two_factor_method": "email"
},
"user_id": 1
}{
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Update an interaction
Fully replaces an existing interaction (behaves like PUT).
tags. Always send the full interaction object if you don’t want to lose existing data.Authorizations
OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.
Path Parameters
Contact ID.
x >= 042
Interaction ID.
x >= 0501
Body
When the interaction took place. Required — undated interactions are not shown in the Qomon UI.
Physical address related to the interaction, if applicable (e.g., meeting location).
If true, only users with the private-interactions permission can see this interaction.
incoming, outgoing Tags to attach to the interaction. Provide an existing tag's id to reuse it, or omit id (with a name) to create a new tag. This list fully replaces the interaction's tags on update.
Show child attributes
Show child attributes
email, letter, call, meeting, sms, donation Response
OK
Physical address related to the interaction, if applicable. (e.g., meeting location)
ID of the contact associated with this interaction.
x >= 0List of files attached to the interaction.
Show child attributes
Show child attributes
x >= 0x >= 0If true, only user with specific permissions can see this interaction.
incoming, outgoing Tags attached to the interaction.
Show child attributes
Show child attributes
email, letter, call, meeting, sms, donation User who logged the interaction.
Show child attributes
Show child attributes
ID of the user who logged the interaction.
x >= 0Was this page helpful?

